Complexity:
Subject: Reflection method to get a method return type and documentation
Description

Some use cases like the WSDL export in the SOAP package need more information about classes and methods than the reflection
service currently supports. It is possible to get method parameters with type and options for example, but not the method return type.

There should be methods in the reflection service to get the method return type or the documentation of the return annotation.

History
#1 - 2011-05-16 09:22 - Sebastian Kurfuerst
- Target version deleted (1.0 beta 1)

I don't think we can make it for beta1 anymore; though I agree something like this would be nice.

#2 - 2011-08-29 21:45 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#3 - 2011-08-29 21:45 - Karsten Dambekalns
- Category set to Reflection
